Part Chamfer/pl: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "==Opcje== Okienko dialogowe funkcji fazowania * Podczas wybierania krawędzi w modelu, masz możliwość wyboru według krawędzi lub według ści...")
Line 32: Line 32:
# Naciśnij przycisk {{Button|OK}}, aby zamknąć okno dialogowe fazy i nanieść fazki.
# Naciśnij przycisk {{Button|OK}}, aby zamknąć okno dialogowe fazy i nanieść fazki.


==Options==
==Opcje==
[[Image:Dialog-chamfer.png|Dialog-chamfer]]
[[Image:Dialog-chamfer.png|Okienko dialogowe funkcji fazowania]]
* Podczas wybierania krawędzi w modelu, masz możliwość wyboru według krawędzi lub według ściany. Wybranie według ściany spowoduje wybranie wszystkich krawędzi granicznych.
* When selecting edges on the model, you have the option to select by edge or by face. Selecting by face will select all bordering edges of that face.
* Fazowanie o stałej długości lub fazowanie o zmiennej długości.
* Constant length chamfer or variable length chamfer.
** Faza o stałej długości utworzy fazę o krawędziach równych odległości od oryginalnej krawędzi w podanej odległości.
** A constant length chamfer will create a chamfer with edges equidistant to the original edge at the distance specified.
** Faza o zmiennej długości będzie miała krawędzie, które mogą być ustawione w różnych odległościach od oryginalnej krawędzi, co pozwala na utworzenie fazy pod zmiennym kątem.
** A variable length chamfer will have edges that may be set to different distances from the original edge, allowing you to create a chamfer at a variable angle.


==Properties==
==Properties==

Revision as of 15:59, 14 August 2021

Part Chamfer

Lokalizacja w menu
Part → Chamfer
Środowisko pracy
Part
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Part Fillet

Opis

Fazuje wybraną krawędź obiektu. Okno dialogowe pozwala wybrać krawędź do pracy, jak również modyfikować różne parametry fazowania.

Przykład utworzenia fazki

Użycie

  1. Aby wywołać polecenie Fazuj wybrane krawędzie, istnieje kilka sposobów w Środowisku pracy Część
    • Naciśnij klawisz .
    • Użyj pozycji w menu Część → Fazka.
  2. Wybierz kształt do wykonania fazek z menu okna dialogowego.
  3. Wybierz krawędzie do fazowania, zaznaczając odpowiednie pole w oknie dialogowym fazy lub wybierając je bezpośrednio na modelu.
  4. Edycja parametrów fazy.
  5. Naciśnij przycisk OK, aby zamknąć okno dialogowe fazy i nanieść fazki.

Opcje

Okienko dialogowe funkcji fazowania

  • Podczas wybierania krawędzi w modelu, masz możliwość wyboru według krawędzi lub według ściany. Wybranie według ściany spowoduje wybranie wszystkich krawędzi granicznych.
  • Fazowanie o stałej długości lub fazowanie o zmiennej długości.
    • Faza o stałej długości utworzy fazę o krawędziach równych odległości od oryginalnej krawędzi w podanej odległości.
    • Faza o zmiennej długości będzie miała krawędzie, które mogą być ustawione w różnych odległościach od oryginalnej krawędzi, co pozwala na utworzenie fazy pod zmiennym kątem.

Properties

Part Chamfer Properties
Part Chamfer Properties


Base

  • DANEBase: The shape onto which the chamfer is to be applied.
  • DANEPlacement: Specifies the orientation and position of the shape in the 3D space.
  • DANELabel: Label given to the object. Change to suit your needs.

Limitations

Chamfer might do nothing if the result would touch or cross the next adjacent edge. So if you do not get the expected result, try with a smaller value. This is the same for Part Fillet.

Also note that the Chamfer feature is affected by the Topological naming problem when the any change is done to a modeling step earlier in the chain that affects the number of facets or vertices. This could cause unpredictable result. Until that is resolved (possibly with V0.20) it is advised to apply Chamfer and Part Fillet operations at the last steps in the chain.


Scripting

The Chamfer tool can by used in macros and from the Python console by adding a Chamfer object to the document.

Example Script:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
chmfr.Base = FreeCAD.ActiveDocument.myCube
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
chmfr.Edges = myEdges
FreeCADGui.ActiveDocument.myCube.Visibility = False
FreeCAD.ActiveDocument.recompute()

Example Script Explanation:

import Part
cube = FreeCAD.ActiveDocument.addObject("Part::Feature", "myCube")
cube.Shape = Part.makeBox(5, 5, 5)
  • Creates a 5 mm cube for us to apply chamfered edges to. See Part_API for an explanation of the makeBox method.
chmfr = FreeCAD.ActiveDocument.addObject("Part::Chamfer", "myChamfer")
  • Adds a new object to the document of type Chamfer (from the Part module) with label "myChamfer".
chmfr.Base = FreeCAD.ActiveDocument.myCube
  • Specifies that the base shape of the chamfer object should be "myCube".
myEdges = []
myEdges.append((1, 1.5, 1.25)) # (edge number, chamfer start length, chamfer end length)
myEdges.append((2, 1.5, 1.25))
myEdges.append((3, 1.5, 1.25))
myEdges.append((4, 1.5, 1.25))
myEdges.append((5, 1.5, 1.25))
myEdges.append((6, 1.5, 1.25))
myEdges.append((7, 1.5, 1.25))
myEdges.append((8, 1.5, 1.25))
myEdges.append((9, 1.5, 1.25))
myEdges.append((10, 1.5, 1.25))
myEdges.append((11, 1.5, 1.25))
myEdges.append((12, 1.5, 1.25))
  • Creates an empty array "myEdges" and then appends the array with each edge's chamfer parameters.
  • Syntax for each item should be (edge#, chamfer start length, chamfer end length)
chmfr.Edges = myEdges
  • Sets the Edges attribute of our Chamfer object equal to the array we just created.
FreeCADGui.ActiveDocument.myCube.Visibility = False
  • This line simply hides "myCube" so that our newly created "myChamfer" object is the only one visible.
FreeCAD.ActiveDocument.recompute()
  • Recomputes all altered components on the screen and refreshes the display.